### Function

# Vips sink_memory

#### Declaration [src]

    int
    vips_sink_memory (
      VipsImage* im
    )

#### Description [src]

Loops over `im`, generating it to a memory buffer attached to `im`. It is used by vips to implement writing to a memory buffer.

See also

`vips_sink()`, `vips_get_tile_size()`, `vips_image_new_memory()`.

#### Parameters

`im`

  Type: `VipsImage`

  Generate this image to memory.

  The data is owned by the caller of the function.

#### Return value

Type: `int`

0 on success, or -1 on error.